
*--------------------------------------------- descriptives

duplicates drop skill_id, force

*--------------------------------------------- prepara vars
ren skill_subcategory_name subcategory
ren skill_name skill
g dis_software = (is_software=="True")



*-----------------------------------------------------------------
* 1 -- clasificacion utilizando keywords taxonomia> keywords.xlsx
*-----------------------------------------------------------------

**////////////////////////////Cognitive////////////////////////////

* cognitive/ cognitive/ thinking
g CogCog_thinking = regexm(skill, "Solving|Solution Identification|Problem Analysis|Research|Analy|Thinking|Ideas|Devise Rule|Evaluate|Interpret Rule|Decision|Information Processing|Error recognition|Identify Error|Correcting|Error Recognition|Reviewing|Long-term Vision|Goal Setting|Strategic Alignement|Strategic Planning|Developmental Asimsessment|Digital Humanities|Digital Media Strategy|Digital Preservation|Digital Transformation|Digital Twin|Digital Mockup|Digital Prototyping")

* cognitive/ cognitive/ math
g  CogCog_math = regexm(skill, "Math|Digital Logic|Statistic|Calculation|Measurement|Calculus|Probability|Algebra|Bayesian|Causal Inference|Geometry|Equations|Sampling|Time Series|Trigonometry")
	
* cognitive/ writing/ communicaton
g CogWri_communication = regexm(skill,"Writing|Editing|Reports|Proposals|Message Development|Digital Brand Engagement|Digital Publishing|Digital Imaging|Digital Journalism|Digital Media|Plain Text|Digital Content")

* cognitive/ financial/ financial
g CogFin_financial = regexm(skill, "Budgeting|Accounting|Financ|Cost|Financial Modelling|Budget Analysis|Profitability Analysis|Accounts Payable|Accounts Receivable|Bookkeeping|Revenue Projections|Payroll Processing|Billing Design|General Ledger|Balance Sheet|Fund Development")

* cognitive/ business systems/systems 
g CogBusS_systems = regexm(skill, "Systems Development|Systems Integration|Systems Architecture|Business Systems|Business Intelligence|Management Systems|Systems Analysis|Business Management|Business Solutions|Business Operations|Business Process|Business Administration|System Administration|Process Design|Key Performance Indicators|Elliptic Curve Digital Signature Algorithm|Digital Dashboards|Digital Modeling And Fabrication|Scalability Testing")
		
* cognitive/ business systems/quality assurance & control 
g CogBusS_qualityac = regexm(skill, "API Testing|Acceptance Testing|Ad Hoc Testing|Agile Testing|Application Security Testing|Back End Testing|Code Testing|Compatibility Testing|Compliance Testing|Concept Testing|Conformance Testing|Data-Centric Testing|Data-Driven Testing|Database Testing|Dev Testing|Development Testing|Distributed Testing|Dynamic Application Security Testing (DAST)|External Testing|Factory And Site Acceptance Testing|Integration Testing|Laboratory Testing|Lean Functional Testing|Load Testing|Maintenance Testing|Mobile Application Testing|Multivariate Testing|Network Testing|Non-Functional Testing|Open Source Security Testing Methodology|Package Testing|Penetration Testing|Performance Testing|Scenario Testing|Security Testing|Shift-Left Testing|Smoke Testing|SOA|Service-Oriented Architecture Testing|Static Application Security Testing|SAST|Unit Testing|Usability Testing|User Acceptance Testing|UAT|User Interface Testing|Web Accessibility Testing|Web Application Penetration Testing|Web Testing|Six Sigma|KPI|Six Sigma|Digital Assurance|Progress Reporting")

* cognitive/business analysis/business_analysis
g CogBusA_busanalysis = regexm(skill, "Business Strategy|Business Development|Business Analysis|Performance Analysis|Root Cause Analysis|Business Case Analysis|Competitive Analysis|Market Analysis|Variance Analysis|Failure Analysis|Threat Analysis|Risk Mitigation|Risk and Mitigation Analysis|Sales Trend Analysis|Credit Analysis|Cash Flow Analysis|Benefits Analysis|Organizational Analysis|Sales Analysis|Pricing Analysis|Industry Analysis|Strategic Analysis|Policy Analysis|Business Planning|Scenario Planning|Contingency Planning|Theory of Change Development|Budget Development|Commercial Development|Corporate Development|Product Roadmap Development|Proposal Development|Real Estate Development|Regional Development|Renewable Energy Development|Technology Strategy Development|Category Development|Collection Development|Community Development|Architectural Development|Collateral Development|Digital Strategy Development|Digital Experience Strategy|Digital Consulting")
	
* cognitive /project management/project management 
g CogProMan_proman = regexm(skill, "Project Management|Troubleshooting|Quality Assurance and Control|Quality Management|Project Planning and Development Skills|Case Management|Process Improvement|Operations Management|Strategic Planning|Program Management|Change Management|Program Development|Development Support|Early Phase Development|Digital Productions")

* cognitive /data analysis/data analysis
g CogDA_dataanalysis=regexm(skill, "Data Analy|Data Engineering|Data Modeling|Assessment Data|Data Validation|Data Reports|Data Operations|Abstract Data Types|App Data|Application Data|Cluster Analysis|Automatic Identification And Data Capture|Bibliographic Databases|Binary Data|Categorical Data|Change Data Capture|CDC|Climate Data Exchange|CDX|Clinical Data Interchange Standards Consortium|Clinical Data Review|Command And Data Handling|Data Abstraction|Data Annotations|Data Classification|Data Comparison|Data Compilation|Data Compression|Data Conditioning|Data Consistency|Data Corruption|Data Cube|Data Curation|Data Definition Language|Data Dictionary|Data Intelligence|Data Layers|Data Libraries|Data Link|Data Literacy|Data Localization|Data Policy Development|Data Preprocessing|Data Reduction|Data Redundancy|Data Reference Model|Data Remanence|Data Reporting|Data Selection|Data Strategy|Database Cluster|Database Consistency|Database Schema|Database Theory|Geospatial Databases|Geospatial Datasets|Legal Databases|Material Safety Data Sheet|Non-Relational Data Stores|Reference Data|Transaction Data|Physician Data Query|Data Collection|Data Management|Data Structures|Data Integration|Relational Databases|Data Warehousing|Database Management|Database Administration|Data Transformation|Data Architecture|Data Acquisition|Database Schemas|Data Mapping")

* cognitive /language/language
g CogLan_language = regexm(skill,"Afrikaans|Albanian|Arabic|Asturian|Azerbaijani|Basque|Belarusian|Bengali|Bilingual|Bulgarian|Catalan|Cebuano|Chinese|Czech|Danish|Dutch|English|Esperanto|Finnish|Foreign Language|French|Galician|German|Greek|Hebrew|Hungarian|Indi|Indonesian|Italian|Japanese|Kurdish|Languages Of Africa|Languages Of Asia|Lituanian|Malay|Norwegian|Polish|Portuguese|Romanian|Russian|Serbian|Slovak|Slovenian|Spanish|Swedish|Thai|Turkish|Ukranian|Urdu|Vietnamese|Waray|Welsh")
		
* cognitive /adaptability/adaptability	
g CogAdap_adaptability = regexm(skill,"Adaptability|Openness|Flexibility")
	

egen cognitive = rsum(Cog*)
	* solving overlaps
	foreach var of varlist CogCog_thinking CogBusS_systems {
		replace `var' = 0 if skill=="Measurement Systems Analysis"
	} 
	
* correcting classification error, word "cost" 
	replace CogFin_financial = 0 if skill =="Costume Design" 
* correcting classification error, word "analysis, research" when it is related to accounting and finance
	replace CogCog_thinking = 0 if CogFin_financial == 1 
* correcting classification error, word "analysis" when it is related to data analysis
	replace CogCog_thinking = 0 if CogDA_dataanalysis == 1
	
capture drop cognitive
egen cognitive = rsum(Cog*)

	

	
**////////////////////////////Digital////////////////////////////

* digital - basic level: Ability to access and use digital technologies to perform basic tasks
/* 1. Functional use of digital devices
2. Online communication via emails
3. Using software for presentations, basic spreadsheet use
4. Finding, managing, and storing digital information and content (e.g., social media)
*/

g Digital_basic = regexm(skill, "Microsoft Word|Microsoft Excel|Microsoft Outlook|Microsoft PowerPoint|Microsoft Office|Microsoft Windows|Microsoft Access|Computer Literacy|Computer Hardware Knowledge|Computer Software Knowledge|Computer Hardware|Software Knowledge|Online Research|Basic Internet Skills|Windows|Webmail|zip|Zip|Apple|Mac OS|Computer Networking|Digital Literacy|Smartphone Operation|Tablets|Web Navigation|Screen Sharing|Screen Capture|Personal Computers|Mobile Phones|Dropbox|Google Drive|OneDrive|Google|Hardware Installation|Computer Installation|Computer Maintenance|Computer Repair|Computer Troubleshooting|Software Installation|Software Maintenance|Software Configuration|End-User Support|IT Support|Help Desk|Service Desk|Information Technology Industry Knowledge|Telecommunications")
 
* digital - intermediate level: Ability to use professional software for analysis, creation, management, and design
/*1. Using professional software for analytics, accounting, project management
2. Digital marketing, social media analytics
3. Web design, graphic design
*/

g Digital_interm = regexm(skill, "Spreadsheets|Tableau|Digital Painting|Digital Photography|Digital Printing|Digital Recording|Digital Signage|Digital Signal|Digital Single-Lens Reflex Cameras|Digital Sketching|Digital Technology|Digital Video|Digital Video Production|Digital Video Recorder|Digital Visual Interface|Digital Volt-Ohm Meter|Digital-To-Analog Converter|Web Design|Web Site Design|Website Design|Digital Video|Digital Filter|Digital Forensics|Digital Illustration|Digital Image|Digital Integration|Digital Mailroom|Digital Cameras|Digital Currency|Digital Decoupling|Digital Electronics|Video Games|Linux|Network Hardware|Network Configuration|Network Administration|Network Support|Information Systems|Transmission Control Protocol (TCP)|Internet Protocol (IP)|TCP/IP|Wide Area Network (WAN)|Hardware Configuration|Routers|Database Design|Relational Database Management System|RDMS|Data Migration|Database Software|Data Warehouse Processing|Data Conversion|Database Tuning|Relational Database Design|Data Warehouse Development|Data Archiving|MySQL|NoSQL|Data Entry|Database Cloning|Database Cluster|Database Connection|Database Consistency|Database Console Commands|Database Conversion|Database Cursor|Database Development|Database Encryption|Database First|Database Mirroring|Database Modeling|Database Permissions|Database Queries|Database Query Tools|Database Schema|Database Storage Structures|Database Theory|Database Triggers|Database Upgrades|Data Infrastructure|Data Access|Data Administration|Data Cabling|Data Caching|Data Capture|Data Centers|Data Loss Prevention|Data Maintenance|Data Masking|Data Monetization|Data Normalization|Data Partitioning|Data Pipelines|Data Recording|Data Recovery|Data Retention|Data Retrieval|Data Room|Data Scraping|Data Stor|Data Transmissions|Data Transport Utility|Data Vaults|Database Optimization|Database Programming|Data Archives|Data Binding|Data Blending|Data Build Tool|Data Sharing|Data Streaming|Data Synchronization|Data Transfer Object|Data Verification|Data Virtualization|Data Wrangling|Data-Structured Language|Database Activity Monitoring|Database Triggers|Datafeed|Datamodel|Dataportability|Datasheets|Dataspaces|Datawindow|Dirty Data|Data Security Standards|Persistent Data Structure|DOCSIS") 

* digital - advanced level: Ability to perform specialized ICT tasks
/*1. Computer programming
2. Cloud computing, network management
3. Artificial intelligence
4. Data science, big data analytics
5. Cyber security
6. Web development, search engine optimization
*/

g Digital_advanced = regexm(skill, "Mainframe|System Administration|Programming Language|SQL|Javascript|Adobe|Python|Java|ALGO|.NET|AWS|CRM|Active|ADP|Amazon|Android|Apache|Cloud|Azure|Nextcloud|AMS|Agile|Phone Systems|Box|Web Development|Web Application Development|Digital Converters|Asymmetric Digital Subscriber Line|Counters (Digital)|Digital Architecture|Digital Archiving|Digital Polymerase Chain Reaction|Digital Audio|Digital Elevation Models|Digital Signature|Digital Network Architecture|Integrated Digital Enhanced Networks|Integrated Services Digital Networks|Personal Digital Assistant|Plesiochronous Digital Hierarchy|Single-Pair High-Speed Digital Subscriber Lines|Sony Dynamic Digital Sound|SharePoint Development|Secure Application Development|Agile Model Driven Development|Application Development|Video Game Development|Secure Application Development|Acceptance Test-Driven Development|Agile Model Driven Development|Application Development|Assay Development|Behavioral-Driven Development|Compiler Development|Distributed Development|Expo (Application Development Framework)|Firmware Development|Full Stack Development|IOS Development|Instrument Development|Iterative and Incremental Development|Microservices Development|Microsoft Security Development Lifecycle|Mobile Application Development|Mobile Platform Development|Open Source Development|Oracle Application Development Framework|Oracle Development|Package Development Process|Persona Development|Proof of Concept (POC) Development|REST API Development|Rapid Application Development|Technology Strategy Development|Test-Driven Development (TDD)|Unit Test-Driven Development|Vienna Development Methods|Behavior-Driven Development|Feature-Driven Development|Iterative And Incremental Development|Proof Of Concept|Test-Driven Development|Cyber Security|Network Security|Hardware Security|Application Security|Blockchain Security|CompTIA|Computer Security|Data Security|Digital Security|Endpoint Security|GIAC|IT Security|Information Technology Security|Internet Security|Firmware Security|Messaging Security|Security Technology|Security Token|Logical Security|Microservices Security|Offensive Security Wireless|Sanity Testing|Operational Technology (OT) Security|Multiplexed Transport Layer Security|SSL Security|Virtualization Security|Transport Layer Security|Security Descriptor|Security Devices|Security Content Automation Protocol|eLearnSecurity Junior Penetration Tester (eJPT)|Security Log|Shift Left Security|Session Description Protocol Security Descriptions|Sherwood Applied Business Security Architecture|DigitalOcean|Guidewire Digital|Ethernet Configuration Testing|Application Testing|Testing (NDT)|Electrical Testing Instruments|Computer-Aided Dispatch|Data Visualization|MDM|Database Architecture|Data Integrity|Digital Data|Dynamic Data|Distributed Data Store|Electronic Data Information Source|Electronic Data Interchange|Extended Data Services|General Data Protection Regulation (GDPR)|Guidewire Data|Legal Electronic Data Exchange Standard|Mobile Data|Object-Relational Database|Offsite Data Protection|Open Data Protocol|Oracle Database Appliance|Oracle Database Vault|Packet Data Convergence Protocol|Simple Data|Format|Simple Object Database Access|Source Data|Spatial Data Infrastructures|Standard Test Data Format|Electronic Data Interchange For Administration Commerce And Transport (EDIFACT)|Unstructured Supplementary Service Data|User Datagram Protocol|Data Item Descriptions|Evolution-Data Optimized|Remote Data Capture|Vector Data|Aggregator|Web Scraping|Sensor Fusion|Data Direct Networks|Data Discovery|Data Display Debuggers|Data Distribution Services|Data Domain|Data Driven Instruction|Data Element|Data Encoding|Data Exchange|Data Exploitation|Data Extraction|Data Feed|Data Files|Data Flow Diagram|Data Fusion|Data Governance|Data Grid|Aerospike Database|Connected Data Objects|Datacards|Global Data Synchronization Networks|Data Mining|Predictive Analytics|Predictive Model|Data Manipulation|Data Cleaning|Data Evaluation|A/B Testing|Data Preprocessing|Data Profiling|Data Quality|Data Processing|Data Synthesis|Dataframe|Experimental Data|GPS Data|Geophysical Data|Machine-Generated Data|Market Data|Merging Data|Minimum Data Set|Missing Data|Panel Data|Raw Data|Real Time Data|Real World Data|Seismic Data|Semi-Structured Data|Static Data|Tabular Data|Test Data|Test Data Generation|Test Datasets|Tracking And Data Relay Satellites|Training Datasets|Transaction Data|Unstructured Data|Digital Mapping|Big Data|Data Operations|Database Queries|Database Query Tools|Very Large Databases|VLDB|Cellular Digital Packet Data|Data Science") 
	replace Digital_advanced = 1 if skill=="C++" | skill == "Data Hiding (Encapsulation)" | skill == "Consensus CDS Project (Biological Databases)" | skill == "Payment Card Industry (PCI) Data Security Standards"
	replace CogCog_thinking = 0 if Digital_advanced == 1

*--- ai
g ai_a = regexm(skill, "Artificial Intelligence|Machine Learning|Decision Trees|Apache Hadoop|Bayesian Networks|Automation Tools|Neural Networks|Support Vector Machines|SVM|Decision Trees|Supervised Learning|TensorFlow|MapReduce|Splunk|Convolutional Neural Network|CNN|AI ChatBot|AI KIBIT|ANTLR|Apertium|Automatic Speech Recognition|ASR|Automated Testing")
g ai_b = regexm(skill, "Caffe Deep Learning Framework|Chatbot|Computational Linguistics|Computer Vision|Deep Learning|Deeplearning4j|Distinguo|Google Cloud Machine Learning Platform|Gradient Boosting|H2O software|IBM Watson|Image Processing|Image Recognition|IPSoft Amelia|Ithink|Keras|Latent Dirichlet Allocation|Latent Semantic Analysis|Lexalytics|Lexical Acquisition|Lexical Semantics|Libsvm|Machine Translation|MT|Machine Vision|Madlib|Mahout|Microsoft Cognitive Toolkit|Mlpy")
g ai_c = regexm(skill, "Modular Audio Recognition Framework|MARF|MoSes|MXNet|Natural Language Processing|Natural Language Toolkit|NLTK|ND4J Software|Nearest Neighbor Algorithm|Object Recognition|Object Tracking|OpenCV|OpenNLP|Pattern Recognition|Pybrain|Random Forests|Recommender Systems|Semantic Driven Subtractive Clustering Method|SDSCM|Semi-Supervised Learning|Sentiment Analysis|Opinion Mining|Sentiment Classification|Speech Recognition|Text Mining|Text to Speech|TTS|Tokenization|Torch|Machine Learning|Unsupervised Learning|Virtual Agents|Vowpal|Wabbit|Word2Vec|Xgboost")
g AI = (ai_a==1 | ai_b==1 | ai_c==1 | skill=="MLPACK C++ library")
	replace AI = 0 if Digital_interm == 1
	replace Digital_advanced = 1 if AI==1
	drop ai_* AI


egen digital = rsum(Digital*)

* correcing classification using is_software variable
 	replace Digital_interm = 1 if digital==0 & dis_software==1

capture drop digital
egen digital = rsum(Digital*)

	
* correcting classification error, word "Management" 
 g mgm = regexm(skill, "Management")
	replace Digital_interm = 0 if mgm==1 & (CogBusA_busanalysis==1 | CogProMan_proman==1 | CogBusS_systems==1 |  CogFin_financial==1)
* correcting classification error, word "Software"
 g software = regexm(skill, "Software")
	replace CogCog_thinking = 0 if software==1 & Digital_interm==1
	replace CogFin_financial = 0 if software==1 & Digital_interm==1
* correcting classification error related to bus	
	foreach var of varlist CogCog* CogFin_financial CogDA_dataanalysis CogBus* CogProMan_proman CogWri_communication CogLan_language {
	replace `var' = 0 if `var'==1 & Digital_interm == 1
}

		drop mgm software
		
capture drop digital
egen digital = rsum(Digital*)

capture drop cognitive
egen cognitive = rsum(Cog*)

	


**////////////////////////////Social////////////////////////////


* social/ social/ teamwork
g SocSoc_teamwork = regexm(skill, "Team|Collaboration|Team Building|Cooperation|Interpersonal|Support Colleagues|Relationship Building|Entrepreneurship|Intrapreneurship|Motivational Skills|Build Relationships|Manages Conflict|Confrontation|Influencing Skills|Peer Support")
		
* social/ social/ communication
g SocSoc_communication = regexm(skill, "Communication|Oral Communication|Negotiation|Presentation|Public Speaking|Articulate|Persuasion|Persuade|Listening|Lobby|Teach|Diplomacy|Verbal Communication|Advertise|Entertain|Interact with Others|Distress Signals|Motivational Speaking|Storytelling")
	
	* social/ social/ general
g SocSoc_general = regexm(skill,"Flexibility|Empathy|Emphathetic|Assertive|Decisiveness|Social Intelligence|Emotional Intelligence|Social Skills|Social Perceptiveness")
	
* social/ character/Organizational skills 
g SocChar_orgskills = regexm(skill, "Direction|Control|Planning|Strategic Planning|Organized|Sets Goals|Detail-Oriented|Multitasking|Time Management|Meets Deadlines|Prioritiz|Schedul|Due Diligence|Task Management|Self-Discipline|Self-Sufficiency|Solutions Focused|Stewardship|Success Driven|Working Quickly|Proactivity|Results Focused|Time allocation|Deadlines|Emergency Response|Challenge Driven|Coordinating|Delivery Focused|Executive Presence|Goal-Oriented|Accountability|Professional Responsibility|Digital Citizenship|Governance")
	
* social/ character/character 
g SocChar_character = regexm(skill, "Growth Mindednes|Energestic|Energetic|Self-Starter|Initiative|Driven Personality|Self-Motivation|Visionary|Competent|Achieving|Hardworking|Self Evaluation|Reliable|Punctual|Resistent to Stress|Independent|Cultural Awareness|Positive Disposition|Business Etiquette|Cultural Responsiveness|Cultural Sensitivity|Diversity|Intercultural Competence|Compassion|Quick Learning")
	
* social/ Customer service/Customer service 
g SocCusServ_cservice = regexm(skill, "Customer|Sales|Client|Patient|Buy|Purchase|Repetitive Customer Service|Tactfulness|Courtesy|Helpfulness|Customer Support|Selling|Advise|Brand Representation")
	
* social/ People managment/People managment 
g SocPeopManag_peopmanag = regexm(skill, "Supervisory|Leadership|Performance Management|Personnel Management|People Management|Staff Management|Team Management|Mentor|Staff Supervision|Staff Development|Organizational Development|Crisis Management|Conflict Resolution|Coach|Human Resource Management|Human Capital Management|Career Development|Employee Handbook Developmen|Executive Development|High-Potential Development|Key Opinion Leader Development|Learning And Development Strategy|Partner Development|Personality Development|Training And Development|Workforce Development|Working With The Developmentally Disabled|Capability Development|Personnel and Development|Career Counseling|Motivational Interviewing|Positive Behavior Interventions and Supports|Positive Behavior Support")
	
* social/ Creativity/Creativity
g SocCrea_creativity = regexm(skill, "Creativ|Innovative|Inventiveness|Curiosity|White Space Development")
	
egen social = rsum(Soc*)

	replace SocChar_orgskills = 0 if SocSoc_communication==1
	replace SocChar_orgskills = 0 if SocCusServ_cservice==1
	
	g aux = regexm(skill, "Team") if social==2
	foreach var of varlist SocSoc_teamwork  {
	replace `var' = 0 if `var'==1 & aux==1 & SocPeopManag_peopmanag==1
}

	
drop aux
capture drop social
egen social = rsum(Soc*)

**////////////////////////////Manual////////////////////////////

* Manual/ Finger dexterity/ Finger dexterity
g ManFingdex_fingerdextery = regexm(skill, "Picking|Sorting|Repetitive Assembly|Mixing Ingredients|Baking|Dicing|Mincing|Sewing|Decorative Trimming|Operating Tabulating Machines|Packing Agricultural Produc|Control|Equip|Operate|Repetitive Movements|Fine Motor Skills|Manual Coordination|Hand-Eye Coordination|Dexterity|Manipulative Skill|Tool Hand|Craft|Tactile|Assembling|Artisan|Calligrap|Sculpting|Carpentr|Nail Care|Hair Care|Skin Care|Personal Care")
	
* Manual/ Hand-foot-eye coordination/ Hand-foot-eye coordination
g ManHand_handfooteye = regexm(skill, "Packaging And Labeling|Attend Cattle|Attend Other Animals|Prune Ornamental and Shade Trees|Perform Gymnastic Feats|Accommodate|Renovate|Repair|Restore|Serve|Passenger Service|Clean|React on Time|Fine Manipulations|Caprine And Ovine Care|Horse Care|Animal Care|Handling|Cooking|Grilling|Frying|Snow Removal|Pruning|Landscape Maintenance|Groundskeeping|Grubbing|Gardening")
	
* Manual/ Driving/ Hand-foot-eye coordination
g ManDrive_handfooteye = regexm(skill, "Drive to Transport Passengers|Drive to Transport Charge|Driver's License|Safe Driving|Defensive Driving|Vehicle Operation|Road Safety|Transportation|Commercial Driver|Delivery Driver|Order Delivery|Courier Services|Package Delivery|Shuttle Service|Public Transportation|Fleet Management|Drive Testing")

* Manual/ flying/ Hand-foot-eye coordination
g ManFly_handfooteye = regexm(skill, "Pilot Airplanes|Aviation|Flight Operations|Aircraft Handling|Navigation Skills|Aeronautics|Air Navigation|Flight Simulator|Aerial Maneuvering|Precision Landing|Parachute Operation|Flight Instructor|Airline Transport Pilot|Helicopter Operation|Unmanned Aerial Vehicle (UAV)|Rotorcraft|Multi-Engine Land|Airfield Operations|Flight Safety|Flight Test Instrumentation")
	
* Manual/ Physical/ Physical
g ManPhy_physical = regexm(skill, "Resistance|Walk|Run|Carry Heavy Loads|Baggage Services|Cycling|Heavy Equipment Operation|Physical Fitness|Strength|Endurance|Agility|Personal Security|Physical Security|Security Guard|Firefighting|Lifeguard|Perform Other Sports Requiring Skill and Balance")


egen manual = rsum(Man*)

egen skills_identified = rsum(cognitive social manual)


**////////////////////////////Additionals to clasiffy////////////////////////////

g add_products = regexm(skill, "Retail Industry Knowledge|Marketing|Purchasing|Merchandising|Product Development|Procurement|Product Management|Inventory Management|Inventory Control|Product Knowledge|E-Commerce|Account Management|Description and Demonstration of Products|Cross Sell|Supply Chain Management|Retail Management|Advertising|Inventory Maintenance|Marketing Management|Market Strategy|Product Marketing|Product Design|Market Planning|New Product Development|Supplier Development|Account Development|Audience Development|Market Development|Service Development|Standard Operating Procedures Development|Flavor Development|Fragrance Development|Look Development|Procedure Development|Process Development|Process Driven Development|Infrastructure Security|Food Security|Industrial Security|Physical And Environmental Security|Supply Chain Security|Product Testing")

g add_securityss = regexm(skill, "ADT Security Services|Airport Security|Airport Security Clearance|Casino Security|Container Security|Corporate Security|Enterprise Security|Crime Scene Security|Door Security|General Security|Local Security|Maritime Security|Military Security|Multilevel Security|Offensive Security|Perimeter Security|Security Strategies|Security Studies|Harbor Security|Security Awareness|Qualified Security Assessor|Security Investigations|Operations Security|Security Administration|Security Camera Monitoring|Security Clearance|Security Identification Display Area (SIDA) Badge|Security Policies|Security Recommendations|Vessel Security|Transmission Security|Security Domain|Security Context|Sensitive Security Information|Cargo Security|Security Accounts Manager|Security Implementation|Security Interest|Security Lighting|Content Security Policy|Security Seal|Security Patterns|Security Operations|SecOps|Security Liaison|Information Security Audits|Site Security")

g add_admsupport = regexm(skill, "Administrative Support|General Office Duties|Office Management|Appointment Setting|Record Keeping|Administrative Functions|General Office Duties|Secretarial Skills|Travel Arrangements|Front Office|Expense Reports|Copying|Clerical Duties|Word Processing|Mailing|Typing|Telephone Skills|Digital Assets")

g add_sales_rs = regexm(skill,"Salesforce|Sales Reporting|Sales Analysis|Sales Planning|Sales Forecasting|Sales Order Processing|Sales Tax Returns|Land Development|Residential Development|Mixed-Use Development")
	
g mgt = regexm(skill, "Management")
g add_management = (mgt == 1 & cognitive==0 & social==0 & manual==0 & digital==0)
	drop mgt

g add_technicalStem = regexm(skill, "Certified|Certification|Engineer|Physics|Biolog|Solar|Low Carbon|ACI Concrete Field Testing Technician|Aquifer|Battery|Boundary Testing|Circuit Testing|Construction Materials Testing|Electromagnetic Testing|Fabrication And Testing Of Optical Components|Fiber Optic Testing|Field Testing|Flight Testing|Hydraulic Testing|Hydrostatic Testing|Integrity Testing|Materials Testing|Microbiological Testing|Microhardness Testing|Nuclear Weapons Testing|Radiographic Testing|Thermal Vacuum Testing|Ultrasonic Testing|Universal Testing Machines|Volume Testing|Wafer Testing|Water Testing|Thermal|Soil Testing|Stability Testing|Well Testing|Sand Equivalent Testing|Liquid|Emission|Airspace|Airworthiness|Supplemental Type Certificates|Vertical Take-Off And Landing|Flying Qualities|Structural|Tunnels|Pump Stations|Superstructure")
	
g add_technicalEdu = regexm(skill, "E-Learning Development|Online Course Development|Academic|Scientific Literature|Faculty Development|Syllabus Development|Language Development|Curriculum Development|Adult Development|Competency-Based Development|Employability Development|Learning Development|Life Skills Development|Capacity Development|Cognitive Development|Child Development|Human Development|Content Development|Course Development|Education|Student|Digital Learning Technology")
	
g add_technicalHeal = regexm(skill, "Medical|Medicine|Health|Psycho|Vaccine|Disorder|Drug|Disabilities|Clinical|Natal|Neonatal|Prenatal|Postpartum|Postnatal|Pediatric|Palliative|Perinatal|Perineal|Perioperative|Developmental Stage Theories|Acute Care|Trauma|Surgical|Ambulatory Care|Cancer|Neuro|Bedside Care|Burn Care|Coronary|Respiratory|Critical Care|Dementia Care|Dental Care|Inpatient Care|Integrated Care|Intensive Care|Long Term Care Professional|Anesthesia|Oral Care|Post-Mortem Care|End-of-Life Care|Care Guidelines|Urgent Care|Primary Care|Chronic Care|Care Unit|Continuing Care|Evaluation Of Care|Follow-Up Care|Care Coordination|Care Map|Managed Care|Nursing Care|Nutrition Care|Point-Of-Care Testing|Preventive Care|Postoperative Care|Preoperative Care|Secondary Care|Transitional Care|Value-Based Care|Wound Care|Point Of Care Charting|Radiography|Pathology|Blood|Cardiac|Endotoxin|Genetics|Genomic|Glucose|Hearing|Mantoux|Pharma|Pulmon|Allergy|Therapy|Ambulance|Geriatric Syndromes|Geriatrics|Aging Processes|Orofacial Granulomatosis|Talking Therapies")

g add_technicalSS = regexm(skill, "Development Aid|Development Economics|Development Environment|Sustainable Development|Development Studies|Economic Development|Environmental Policy Development|Policy Development|Social Development|Census Development|Development Interventions|Rural Development|Survey Development|Transit-Oriented Development|Social Security|Audit")
	
	
g add_technicalLaw = regexm(skill, "Law|Regulatory|Justice|Constitution|Act|Regulation|Legal|Statutory|Data Protection Strategy|Data Privacy Laws")

g add_careservices = regexm(skill, "Caregiving|Bereavement Care|Family Child Care|Infant Care|Elderly Care|Long-Term Care|Nursing Home Care|Kinship Care|Respite Care|Senior Living|Geriatric Nursing|Gerontological Nursing|Fall Prevention")


egen adds = rsum(add_*)



************************************************************** skills identification
capture drop skills_identified
egen skills_identified = rsum(cognitive social manual adds)

gen categoria=0
replace categoria=1 if cognitive>0
replace categoria=2 if digital>0
replace categoria=3 if social>0
replace categoria=4 if manual>0
replace categoria=5 if adds>0

label define categoria 0 "Non identified" 1 "Cognitive" 2 "Digital" 3 "Social" 4 "Manual" 5 "additionals"
label values categoria categoria

gen identificado=0
replace identificado=1 if cognitive>0 | digital>0 | social>0 | manual>0 | adds>0


*------------------------------------------------------------------------
* 2 -- complementando la clasificacion utilizando subcategory *Lightcast*
*------------------------------------------------------------------------

*****************************

	* Cognitive
	
	replace CogCog_thinking = 1 if (identificado == 0) & (subcategory=="Critical Thinking and Problem Solving" | subcategory=="General Science and Research")
	
	replace CogCog_math = 1 if (identificado == 0) & (subcategory=="Statistics" | subcategory=="Mathematics and Mathematical Modeling")
	
	replace  CogWri_communication = 1 if (identificado == 0) & (subcategory=="Communication" | subcategory=="Writing and Editing" | subcategory=="Journalism" | subcategory=="Content Development and Management" | subcategory=="Language Interpretation, Translation, and Studies" | subcategory=="Literature and Literary Studies" | subcategory=="Document Management")
	
	replace CogDA_dataanalysis = 1 if (identificado == 0) & (subcategory=="Data Analysis")
  
	replace CogProMan_proman = 1 if (identificado == 0) & (subcategory=="Project Management" | subcategory=="Program Management")
	
	replace CogFin_financial = 1 if (identificado == 0) & (subcategory=="Financial Advisement" | subcategory=="Tax" | subcategory=="Accounts Payable and Receivable" | subcategory=="Billing and Invoicing" | subcategory=="Payment Processing and Collection"  | subcategory=="Payroll" | subcategory=="Financial Accounting" | subcategory=="Financial Analysis" | subcategory=="Financial Management" | subcategory=="Financial Modeling" | subcategory=="Financial Reporting" | subcategory=="Financial Trading" | subcategory=="Investment Management" | subcategory=="General Accounting" | subcategory=="Specialized Accounting" | subcategory=="Budget Management" | subcategory=="Auditing" | subcategory=="Account Management" | subcategory=="Cost Accounting" | subcategory=="Structured Finance" | subcategory=="General Finance" | subcategory=="Sales Analysis" | subcategory=="General Lending" | subcategory=="Banking Services" | subcategory=="Insurance" | subcategory=="Cash Management" | subcategory=="Cryptocurrency" | subcategory=="Financial Regulation" | subcategory=="Mortgage Lending" | subcategory=="Commercial Lending")
	
	replace CogBusS_qualityac = 1 if (identificado == 0) & (subcategory=="Quality Assurance and Control" | subcategory=="Process Improvement and Optimization")
	
	replace CogBusA_busanalysis = 1 if (identificado == 0) & (subcategory=="Market Analysis" | subcategory=="Business Strategy" | subcategory=="Business Analysis" | subcategory=="Business Consulting" | subcategory=="Business Intelligence" | subcategory=="Risk Management" | subcategory=="Business Continuity" | subcategory=="Business Management" | subcategory=="Business-to-Business (B2B) Sales" | subcategory=="Business Operations" | subcategory=="Pricing Analysis" | subcategory=="Marketing Strategy and Techniques")
	
	replace CogBusS_systems = 1 if  (identificado == 0) & (subcategory=="Business Solutions" | subcategory=="Business Intelligence Software") 
	
	replace CogLan_language = 1 if  (identificado == 0) & (subcategory=="Language Competency")
	
	
	* Digital
	
	replace Digital_basic = 1 if (identificado == 0) & (subcategory=="Microsoft Windows" | subcategory=="Microsoft Development Tools" | subcategory=="Middleware" | subcategory=="Office and Productivity Software" | subcategory=="iOS Development" | subcategory=="Basic Technical Knowledge")
	
	replace Digital_interm = 1 if (identificado == 0) & (subcategory=="Social Media" | subcategory=="Statistical Software" | subcategory=="Marketing Software" | subcategory=="Accounting and Finance Software" | subcategory=="Science Software" | subcategory=="Human Resources Software" | subcategory=="Engineering Software" | subcategory=="Anti-Malware Software" | subcategory=="Collaborative Software" | subcategory=="Networking Software" | subcategory=="Graphic and Visual Design Software" | subcategory=="Simulation and Simulation Software" | subcategory=="Backup Software" | subcategory=="Mathematical Software" | subcategory=="Software Quality Assurance" | subcategory=="Education Software and Technology" | subcategory=="Search Engines" | subcategory=="Web Services" | subcategory=="Computer Hardware" | subcategory=="Networking Hardware" | subcategory=="Hardware Description Languages (HDL)" | subcategory=="Electronic Hardware" | subcategory=="Technical Support and Services" | subcategory=="Video and Web Conferencing" | subcategory=="Data Management" | subcategory=="Databases")
	
	replace Digital_advanced = 1 if (identificado == 0) & (subcategory=="Data Science" | subcategory=="Data Visualization" | subcategory=="Artificial Intelligence and Machine Learning (AI/ML)" | subcategory=="Natural Language Processing (NLP)" | subcategory=="Java" | subcategory=="C and C++" | subcategory=="Apache"  | subcategory=="JavaScript and jQuery"  | subcategory=="Software Development" | subcategory=="Software Development Tools"  | subcategory=="Agile Software Development" | subcategory=="Web Design and Development" | subcategory=="Web Content" | subcategory=="Web Analytics and SEO" | subcategory=="Scripting" | subcategory=="Scripting Languages" | subcategory=="Cybersecurity" | subcategory=="Animation and Game Design" | subcategory=="Audio Production and Technology" | subcategory=="IT Management" | subcategory=="Internet of Things (IoT)" | subcategory=="Network Protocols" | subcategory=="General Networking" | subcategory=="Network Security" | subcategory=="Digital Design" | subcategory=="Cloud Computing" | subcategory=="Web Services" | subcategory=="Application Programming Interface (API)" | subcategory=="Cloud Solutions" | subcategory=="Network Security"| subcategory=="Web Analytics and SEO" | subcategory=="User Interface and User Experience (UI/UX) Design" | subcategory=="Software Quality Assurance" | subcategory=="Virtualization and Virtual Machines" | subcategory=="Computer Science" | subcategory=="Firmware" | subcategory=="Augmented and Virtual Reality (AR/VR)" | subcategory=="Blockchain" | subcategory=="Query Languages" | subcategory=="Servers" | subcategory=="System Design and Implementation" | subcategory=="Systems Administration" | subcategory=="Test Automation" | subcategory=="Geospatial Information and Technology" | subcategory=="IT Automation" | subcategory=="Identity and Access Management" | subcategory=="Operating Systems" | subcategory=="Other Programming Languages" | subcategory=="Data Storage" | subcategory=="Database Architecture and Administration")
	
	
	* Social
	
	replace SocSoc_communication = 1 if (identificado == 0) & (subcategory=="Business Communications" | subcategory=="Public Relations") 
	
	replace SocSoc_general = 1 if (identificado == 0) & (subcategory=="Personal Attributes" | subcategory=="Social Skills")
	
	replace SocChar_orgskills = 1 if (identificado == 0) & (subcategory=="Human Resources Management and Planning"  | subcategory=="Compensation and Benefits" | subcategory=="Scheduling")
	
	replace SocCusServ_cservice = 1 if (identificado == 0) & (subcategory=="Customer Service" | subcategory=="Sales Management" | subcategory=="Specialized Sales" | subcategory=="Retail Sales" | subcategory=="Real Estate Sales" | subcategory=="General Sales Practices" | subcategory=="Customer Relationship Management (CRM)" | subcategory=="Client Support" | subcategory=="Retail Sales")
	
	replace SocPeopManag_peopmanag= 1 if (identificado == 0) & (subcategory=="Employee Relations" | subcategory=="People Management" | subcategory=="Recruitment" | subcategory=="Employee Training" | subcategory=="Coaching and Athletic Training" | subcategory=="Counseling Services")

	
	* Manual
	
	replace ManFingdex_fingerdextery = 1 if (identificado == 0) & (subcategory=="Carpentry" | subcategory=="Hand Tools" | subcategory=="Power Tools")
	
	replace ManHand_handfooteye = 1 if (identificado == 0) & (subcategory=="Concrete and Masonry" | subcategory=="Cleaning and Janitorial Services" | subcategory=="General Shipping and Receiving")
	
	replace ManPhy_physical = 1 if (identificado == 0) & (subcategory=="Dance" | subcategory=="Physical Abilities" | subcategory=="Sports and Recreation")
	
	replace ManDrive_handfooteye = 1 if (identificado == 0) & (subcategory=="Heavy Equipment Operation" | subcategory=="Transportation Operations" | subcategory=="Ground Passenger Transportation" | subcategory=="Ground Freight Transportation" | subcategory=="Rail Transportation" | subcategory=="Sea and Waterway Transportation" | subcategory=="Transportation Equipment Manufacturing" )
	
	replace ManFly_handfooteye=1  if (identificado == 0) & (subcategory=="Air Transportation") 
	

	* Additionals
	replace add_products = 1 if (identificado == 0) & (subcategory=="Inventory and Warehousing" | subcategory=="Logistics" | subcategory=="Product Development" | subcategory=="Product Management" | subcategory=="Product Inspection" |  subcategory=="Production and Assembly" | subcategory=="Transportation Equipment Manufacturing" | subcategory=="Lean Manufacturing" | subcategory=="Metal Fabrication" | subcategory=="Manufacturing Standards" | subcategory=="Manufacturing Design" | subcategory=="Supplier Management" | subcategory=="Supply Chain Management" | subcategory=="Plant Operations and Management" | subcategory=="Company, Product, and Service Knowledge"  | subcategory=="Procurement")
	
	replace add_technicalStem = 1 if (identificado == 0) & (subcategory=="Chemistry" | subcategory=="Aerospace Engineering" | subcategory=="Agricultural Research and Agronomy" | subcategory=="Air Quality and Emissions" | subcategory=="Automation Engineering" | subcategory=="Automotive Technologies" | subcategory=="Basic Electrical Systems" | subcategory=="Biology" | subcategory=="Biotechnology" | subcategory=="Clean Energy" | subcategory=="Telecommunications" | subcategory=="Mechanical Engineering" | subcategory=="Manufacturing Processes" | subcategory=="Molecular, Cellular, and Microbiology" | subcategory=="Laboratory Research" | subcategory=="Earth and Space Science"| subcategory=="Materials Science and Engineering" | subcategory=="Engineering, Scientific, and Technical Instruments" | subcategory=="Physics" | subcategory=="Oil and Gas" | subcategory=="Pharmacology and Drug Discovery" | subcategory=="Geological Engineering" | subcategory=="Materials Science and Engineering" | subcategory=="Electrical and Computer Engineering" | subcategory=="Computer Science" | subcategory=="Drafting and Engineering Design" | subcategory=="Green Architecture" | subcategory=="Marine and Naval Engineering" | subcategory=="Chemical and Biomedical Engineering" | subcategory=="Process Engineering" | subcategory=="Mining Engineering" | subcategory=="Industrial Engineering" | subcategory=="Wind Energy" | subcategory=="Electromechanical Engineering" | subcategory=="Architectural Design" | subcategory=="Electronics Engineering" | subcategory=="Civil and Architectural Engineering" | subcategory=="Engineering Practices" | subcategory=="Environmental Engineering and Restoration" | subcategory=="Optical Engineering" | subcategory=="Robotics" | subcategory=="Bioinformatics" | subcategory=="Clinical Informatics" | subcategory=="Wireless Technologies" | subcategory=="Mobile Development")
		
	replace add_technicalHeal = 1 if (identificado == 0) & (subcategory=="Anesthesiology" | subcategory=="Blood Collection" | subcategory=="Cardiology" | subcategory=="Dermatology" | subcategory=="Ear, Nose, and Throat" | subcategory=="Emergency and Intensive Care" | subcategory=="Endocrinology" | subcategory=="Eye Care" | subcategory=="First Aid" | subcategory=="Gastroenterology"	| (subcategory=="General Medical Tests and Procedures" & skill!="Dressing Changes") | subcategory=="General Medicine" | subcategory=="Genetic Disorders" | subcategory=="Genetics" 	| subcategory=="Hematology" | subcategory=="Hepatology" | subcategory=="Inmunology" | subcategory=="Infectious Diseases" | subcategory=="Injury Treatment"  | subcategory=="Medical Imaging" | (subcategory=="Medican Science and Research" & skill!="Scientific Literature") | subcategory=="Medical Support" | subcategory=="Mental Health Diseases and Disorders" | ( subcategory=="Mental Health Therapies" & skill!="Motivational Interviewing" & skill!="Peer Support" & skill!="Positive Behavior Interventions and Supports" & skill!="Positive Behavior Support") | subcategory=="Mental and Behavioral Health Specialties" | subcategory=="Nephrology"  | subcategory=="Neurology" | subcategory=="Neuroscience" | subcategory=="Nursing and Patient Care" | subcategory=="Nutrition and Diet"  | subcategory=="Obstetrics and Gynecology (OBGYN)" | subcategory=="Oncology" | subcategory=="Orthopedics" | subcategory=="Pathology" | subcategory=="Pediatrics" | subcategory=="Physical Therapy" | subcategory=="Public Health and Disease Prevention" | subcategory=="Pulmonology" | subcategory=="Rehabilitation" | subcategory=="Surgery" | subcategory=="Urology" | subcategory=="Oral and Dental Care" | subcategory=="Health Information Management and Medical Records" | subcategory=="Nuclear Medicine" | subcategory=="General Medical Tests and Procedures" | subcategory=="Health Care Administration" | subcategory=="Nuclear Medicine" | subcategory=="Clinical Trials" | subcategory=="Immunology" | subcategory=="Health Information Management and Medical Records" | subcategory=="Health Care Procedure and Regulation" | subcategory=="Medical Billing and Coding" | subcategory=="Medical Equipment and Technology" | subcategory=="Pharmacy" | subcategory=="Medical Science and Research" | subcategory=="Speech Language Pathology" | subcategory=="Animal Health and Veterinary Medicine")
	
	replace add_careservices = 1 if (identificado == 0) & (subcategory=="Home Health Care and Assisted Living" | subcategory=="Child Care")
	
	replace add_technicalSS = 1 if (identificado == 0) & (subcategory=="Social Studies" | subcategory=="Economics" | subcategory=="Policy Analysis, Research, and Development") 
	
	replace add_technicalLaw = 1 if (identificado == 0) & (subcategory=="Regulation and Legal Compliance" | subcategory=="Legal Proceedings" | subcategory=="Law Enforcement and Criminal Justice" | subcategory=="Property Law" | subcategory=="Litigation and Civil Justice" | subcategory=="Legal Support")
    
	replace add_technicalEdu = 1 if (identificado == 0) & (subcategory=="Teaching" | subcategory=="Higher Education" | subcategory=="Special Education" | subcategory=="Training Programs" | subcategory=="Employee Training" | subcategory=="Childhood Education and Development" | subcategory=="Instructional and Curriculum Design")
	
	replace add_admsupport = 1 if (identificado == 0) & (subcategory=="Office Management" | subcategory=="Administrative Support and Clerical Tasks")
	
	replace add_securityss = 1 if (identificado == 0) & (subcategory=="Physical Security" | subcategory=="Transportation Security" | subcategory=="Safety and Security" | subcategory=="Safety and Surveillance Technology")
	
	replace add_sales_rs = 1 if identificado==0 & (subcategory=="Merchandising" | subcategory=="Cash Register Operation")
	
	g add_repair_mach = ((identificado == 0) & (subcategory=="Vehicle Repair and Maintenance" | subcategory=="Machine Tools" | subcategory=="Machinery" | subcategory=="General Repairs and Maintenance" | subcategory=="Equipment Repair and Maintenance" | subcategory=="Appliance Repair and Maintenance" | subcategory=="Circuitry" | subcategory=="HVAC"))

	g add_media_production = ((identificado == 0) & (subcategory=="Photo/Video Production and Technology" | subcategory=="Media Production" | subcategory=="Graphic and Visual Design" | subcategory=="Promotions and Campaigns" | subcategory=="Digital Marketing" | subcategory=="Streaming Media Systems" | subcategory=="Creative Design" | subcategory=="Presentation Design" | subcategory=="Advertising" | subcategory=="Online Advertising" | subcategory=="Content Development and Management" | subcategory=="Brand Management"))
	
	g add_art_art = ((identificado == 0) & (subcategory=="Art and Illustration" | subcategory=="Music" | subcategory=="Theatre and Performance Art" | skill=="Artistic Development" | skill=="Digital Arts"))
	
	g add_enviroment = ((identificado == 0) & (subcategory=="Integrated Development Environments (IDEs)" | subcategory=="Environmental Regulations" | subcategory=="Climate Change" | subcategory=="Environmental Geology" | subcategory=="Waste Management" | subcategory=="Ecology" | subcategory=="Environment and Resource Management"))
	
	g add_energy_energy = ((identificado == 0) & (subcategory=="Solar Energy" | subcategory=="Water Energy" | subcategory=="Nuclear Energy" | subcategory=="Energy Efficiency" | subcategory=="Power Generation" | subcategory=="Energy Management" | subcategory=="Natural Gas" | subcategory=="Electrical Power"))
	
	g add_construction_activities = ((identificado == 0) & (subcategory=="General Construction and Construction Labor" | subcategory=="Construction Inspection" | subcategory=="Construction Management" | subcategory=="Construction Painting" | subcategory=="Road and Bridge Construction" | subcategory=="Electrical Construction" | subcategory=="Welding, Brazing, and Soldering" | subcategory=="Plumbing"))
	
	g add_militar_activities = ((identificado == 0) & (subcategory=="Military Operations" | subcategory=="Military Technology and Weapons"))

	g add_agriculture_activities = ((identificado == 0) & (subcategory=="Forestry" | subcategory=="Agricultural Management and Operations" | subcategory=="Aquaculture" | subcategory=="Agriculture and Crop Farming"))



capture drop cognitive digital social manual adds skills_identified

egen cognitive = rsum(Cog*)

egen digital = rsum(Dig*)

egen social = rsum(Soc*)

egen manual = rsum(Man*)

egen adds = rsum(add_*)

egen skills_identified = rsum(cognitive digital social manual adds)


*------------------------------------------------------------------------
* 3 -- taxonomia final
*------------------------------------------------------------------------


g skill_tax=0
replace skill_tax=1 if cognitive>0
replace skill_tax=2 if digital>0
replace skill_tax=3 if social>0
replace skill_tax=4 if manual>0
replace skill_tax=5 if adds>0

label define skill_tax 0 "Non identified" 1 "Cognitive" 2 "Digital" 3 "Social" 4 "Manual" 5 "Technicals"
label values skill_tax skill_tax

g cognitive_type = (skill_tax==1)
	replace cognitive_type = . if skill_tax != 1
	replace cognitive_type = 1 if CogCog_thinking == 1
	replace cognitive_type = 2 if CogCog_math == 1
	replace cognitive_type = 3 if CogWri_communication == 1
	replace cognitive_type = 4 if CogFin_financial == 1
	replace cognitive_type = 5 if CogBusS_systems  == 1
	replace cognitive_type = 6 if CogBusS_qualityac == 1
	replace cognitive_type = 7 if CogBusA_busanalysis == 1
	replace cognitive_type = 8 if CogProMan_proman == 1
	replace cognitive_type = 9 if CogDA_dataanalysis == 1
	replace cognitive_type = 10 if CogLan_language == 1
	replace cognitive_type = 11 if CogAdap_adaptability == 1
	la def cognitive_type 1 "thinking" 2 "math" 3 "communication" 4 "financial" 5 "bussystems" 6 "qualitycontrol" 7 "busanalysis" 8 "projectmgmt" 9 "dataanalysis" 10 "language" 11 "adaptability"
	la values cognitive_type cognitive_type
	
g digital_type = (skill_tax==2)
	replace digital_type = . if skill_tax !=2
	replace digital_type = 1 if Digital_basic == 1
	replace digital_type = 2 if Digital_interm == 1
	replace digital_type = 3 if Digital_advanced == 1
	la def digital_type 1 "digbasic" 2 "diginterm" 3 "digadvanced"
	la values digital_type digital_type
	
g social_type = (skill_tax==3)
	replace social_type = . if skill_tax != 3
	replace social_type = 1 if SocSoc_teamwork == 1
	replace social_type = 2 if SocSoc_communication == 1
	replace social_type = 3 if SocSoc_general == 1 
	replace social_type = 4 if SocChar_orgskills == 1
	replace social_type = 5 if SocChar_character == 1 
	replace social_type = 6 if SocCusServ_cservice == 1
	replace social_type = 7 if SocPeopManag_peopmanag == 1
	replace social_type = 8 if SocCrea_creativity == 1
	la def social_type 1 "teamwork" 2 "communication" 3 "general" 4 "orgskills" 5 "character" 6 "custservice" 7 "peoplemgt" 8 "creativity" 
	la values social_type social_type
	
g manual_type = (skill_tax==4)
	replace manual_type = . if skill_tax != 4
	replace manual_type = 1 if ManFingdex_fingerdextery == 1
	replace manual_type = 2 if ManHand_handfooteye == 1
	replace manual_type = 3 if ManDrive_handfooteye == 1
	replace manual_type = 4 if ManFly_handfooteye == 1
	replace manual_type = 5 if ManPhy_physical == 1
	la def manual_type 1 "fdexerity" 2 "handfooteye" 3 "driving" 4 "flying" 5 "physical"
	la values manual_type manual_type
	
g adds_type = (skill_tax==5)
	replace adds_type = . if skill_tax != 5
	replace adds_type = 1 if add_products == 1
	replace adds_type = 2 if add_technicalStem == 1
	replace adds_type = 3 if add_technicalHeal == 1
	replace adds_type = 4 if add_careservices == 1
	replace adds_type = 5 if add_technicalSS == 1
	replace adds_type = 6 if add_technicalLaw == 1
	replace adds_type = 7 if add_technicalEdu == 1	
	replace adds_type = 8 if add_admsupport == 1
	replace adds_type = 9 if add_securityss == 1	
	replace adds_type = 10 if add_sales_rs == 1
	replace adds_type = 11 if add_management == 1
	replace adds_type = 12 if add_repair_mach == 1
	replace adds_type = 13 if add_media_production == 1
	replace adds_type = 14 if add_art_art == 1
	replace adds_type = 15 if add_enviroment == 1
	replace adds_type = 16 if add_energy_energy == 1
	replace adds_type = 17 if add_construction_activities == 1
	replace adds_type = 18 if add_militar_activities == 1
	replace adds_type = 19 if add_agriculture_activities == 1
	la def adds_type 1 "products" 2 "stem" 3 "health" 4 "caress" 5 "socialsciences" 6 "law" 7 "education" 8 "admsupport" 9 "securityss" 10 "sales"  11 "management" 12 "repairmach" 13 "mediaprod" 14 "art" 15 "environment" 16 "energy" 17 "construction" 18 "militar" 19 "agric"
	la values adds_type adds_type
			
	save "$data\cleaned\skills_CHL4_cat&noncat.dta", replace

	