clear all

******* data set up do file
* ------------------------------------------------- use postings dataset 

use "$data\raw\US_postings.dta"

rename *, lower
*-----------------------------------------------------------------------
*	data cleaning and transformation
*-----------------------------------------------------------------------

*Add ISCO code 

merge m:1 id using "$data\raw\US_postings_isco.dta"

drop _merge 

g controlq = _n
 

*** vars set up

* recode vars

recode remote_type (0 = .), gen(remote_type2)
la define remote_type2 1 "remote" 2 "not remote" 3 "hybrid"
la values remote_type2 remote_type2

* generate vars

*- market (FIPS code)

clonevar market_name = state_name 

gen market_name_cod = . 
replace market_name_cod = 1  if market_name == "Alabama"
replace market_name_cod = 2  if market_name == "Alaska"
replace market_name_cod = 4  if market_name == "Arizona"
replace market_name_cod = 5  if market_name == "Arkansas"
replace market_name_cod = 6  if market_name == "California"
replace market_name_cod = 8  if market_name == "Colorado"
replace market_name_cod = 9  if market_name == "Connecticut"
replace market_name_cod = 10 if market_name == "Delaware"
replace market_name_cod = 11 if market_name == "Washington, D.C. (District of Columbia)"
replace market_name_cod = 12 if market_name == "Florida"
replace market_name_cod = 13 if market_name == "Georgia"
replace market_name_cod = 15 if market_name == "Hawaii"
replace market_name_cod = 16 if market_name == "Idaho"
replace market_name_cod = 17 if market_name == "Illinois"
replace market_name_cod = 18 if market_name == "Indiana"
replace market_name_cod = 19 if market_name == "Iowa"
replace market_name_cod = 20 if market_name == "Kansas"
replace market_name_cod = 21 if market_name == "Kentucky"
replace market_name_cod = 22 if market_name == "Louisiana"
replace market_name_cod = 23 if market_name == "Maine"
replace market_name_cod = 24 if market_name == "Maryland"
replace market_name_cod = 25 if market_name == "Massachusetts"
replace market_name_cod = 26 if market_name == "Michigan"
replace market_name_cod = 27 if market_name == "Minnesota"
replace market_name_cod = 28 if market_name == "Mississippi"
replace market_name_cod = 29 if market_name == "Missouri"
replace market_name_cod = 30 if market_name == "Montana"
replace market_name_cod = 31 if market_name == "Nebraska"
replace market_name_cod = 32 if market_name == "Nevada"
replace market_name_cod = 33 if market_name == "New Hampshire"
replace market_name_cod = 34 if market_name == "New Jersey"
replace market_name_cod = 35 if market_name == "New Mexico"
replace market_name_cod = 36 if market_name == "New York"
replace market_name_cod = 37 if market_name == "North Carolina"
replace market_name_cod = 38 if market_name == "North Dakota"
replace market_name_cod = 39 if market_name == "Ohio"
replace market_name_cod = 40 if market_name == "Oklahoma"
replace market_name_cod = 41 if market_name == "Oregon"
replace market_name_cod = 42 if market_name == "Pennsylvania"
replace market_name_cod = 44 if market_name == "Rhode Island"
replace market_name_cod = 45 if market_name == "South Carolina"
replace market_name_cod = 46 if market_name == "South Dakota"
replace market_name_cod = 47 if market_name == "Tennessee"
replace market_name_cod = 48 if market_name == "Texas"
replace market_name_cod = 49 if market_name == "Utah"
replace market_name_cod = 50 if market_name == "Vermont"
replace market_name_cod = 51 if market_name == "Virginia"
replace market_name_cod = 53 if market_name == "Washington"
replace market_name_cod = 54 if market_name == "West Virginia"
replace market_name_cod = 55 if market_name == "Wisconsin"
replace market_name_cod = 56 if market_name == "Wyoming"


	la def market_name_cod 1 "AL" 2 "AK" 4 "AZ" 5 "AR" 6 "CA" 8 "CO" 9 "CT" 10 "DE" 12 "FL" 13 "GA" 15 "HI" 16 "ID" 17 "IL" 18 "IN" 19 "IA" 20 "KS" 21 "KY" 22 "LA" 23 "ME" 24 "MD" 25 "MA" 26 "MI" 27 "MN" 28 "MS" 29 "MO" 30 "MT" 31 "NE" 32 "NV" 33 "NH" 34 "NJ" 35 "NM" 36 "NY" 37 "NC" 38 "ND" 39 "OH" 40 "OK" 41 "OR" 42 "PA" 44 "RI" 45 "SC" 46 "SD" 47 "TN" 48 "TX" 49 "UT" 50 "VT" 51 "VA" 53 "WA" 11 "DC" 54 "WV" 55 "WI" 56 "WY"

	la values market_name_cod  market_name_cod

*- employer identification

g company_name_re = company_name if company_raw!="" 

sort company_name_re
by company_name_re: gen company_n = 1 if _n==1
	replace company_n = . if missing(company_name_re)
g company_id = sum(company_n)
	replace company_id = . if missing(company_name_re)

*- occupation identification
	replace isco_08_1 = "1" if isco_08_1=="1.0"
	replace isco_08_1 = "2" if isco_08_1=="2.0"
	replace isco_08_1 = "3" if isco_08_1=="3.0"
	replace isco_08_1 = "4" if isco_08_1=="4.0"
	replace isco_08_1 = "5" if isco_08_1=="5.0"
	replace isco_08_1 = "7" if isco_08_1=="7.0"
	replace isco_08_1 = "8" if isco_08_1=="8.0"
	replace isco_08_1 = "9" if isco_08_1=="9.0"
	replace isco_08_1 = "" if isco_08_1=="X"
	destring isco_08_1, replace 
	la define isco_08_1 1 "Managers" 2 "Professionals" 3 "Technicians and associate professionals" 4 "Clerical support workers" 5 "Service and sales workers" 6 "Skilled agricultural, forestry and fishing" 7 "Craft and related trades workers" 8 "Plant and machine operators and assemblers" 9 "Elementary occupations"
	la values isco_08_1 isco_08_1

*- sector identification
g sector_id = 1 if naics2_name!=""

*- vacancy dates 
g month = substr(posted,6,2)
g day = substr(posted,9,2)
g year = substr(posted,1,4)
destring month day year, replace
g date = ym(year,month)
	format date %tm
g month_ex = substr(expired,6,2)
g year_ex = substr(expired,1,4)
destring month_ex year_ex, replace
g diff_month = month_ex - month
g diff_year = year_ex - year

*** delete variables 100% missing or repeated
drop state_name remote_type remote_type_name company_name company_is_staffing 

*-------------------------------------------------- SAVE postings dataset	

   save "$data\cleaned\US_postingsout.dta", replace
 
*-----------------------------------------------------------------------
*	combining skills dataset
*-----------------------------------------------------------------------

* ------------------------------------------------- adding skills dataset 

*---- save id&skill database 
import delimited "$data\raw\US_skills.csv", clear 
keep id skill_name
ren skill_name skill
	save "$data\raw\USid&skill.dta", replace


merge m:1 id using "$data\cleaned\US_postingsout.dta"
ren _merge check

merge m:1 skill using "$data\cleaned\skills_usa_categorizadas.dta"

* count postings
sort id
by id: gen num_postings = _n
	replace num_postings = 0 if num_postings!=1

keep if _merge==3

save "$data\cleaned\postings&skillsUSout.dta", replace


