/*============================================================================
Code to generate vacancy series from EIL data 
=============================================================================*/

*Import vacancy rates raw data 

import excel "$data\raw\eil_2307_estadisticas.xlsx", sheet("Total aglos 1.8") cellrange(FM14:GV14) clear

*Store the series in one variable 

mkmat *, mat(vac)

mat vac = vac '

drop _all 

svmat vac 

replace vac1 = vac1/100 

*Multiply vacancy rate by total employment (proxy for number of vacancies)

replace vac1 = vac1*3112410.93 

*Assign date to each observation 

gen date = tm(2020m8) + _n - 1

format date %tmMon-YY

rename vac1 vacancies 

order date, first

save "$data\cleaned\eil_vacancies.dta", replace
