#### Occupation Space - Uruguay 
library(openxlsx)
library(readxl)
library(Matrix)
library(reshape2)
library(igraph)
library(writexl) 
library(dplyr)

setwd("INSERT/YOUR/PATH/data/cleaned") # Especificar la ruta completa.

path_output <- "INSERT/YOUR/PATH/outputs/main/figures"

Matriz_binaria_habs <- read_excel("skillsmapUy_out.xlsx", sheet = "Hoja2")

rca <- as.matrix(Matriz_binaria_habs)
P=dim(rca)[1]
C=dim(rca)[2]
ip=matrix(1,P,1)
ic=matrix(1,C,1)

rca[is.na(rca)]<-0

##diversification (kc0) & ubiquity (kp0)##
kp0=rca%*%ic
kc0=t(rca)%*%ip

Ikp0=diag(c(1/kp0),P,P)
Ikc0=diag(c(1/kc0),C,C)

##espacio de productos##
PD=Ikp0%*%rca%*%t(rca)
PD=pmin(PD,t(PD))
rownames(PD)=colnames(PD)

###########Densidad de los bienes respecto a la canasta uruguaya##########
RCA=rca
NumD=t(RCA)%*%PD
DenD=apply(PD, 2, sum)
Dens=sweep(NumD, 2, DenD, FUN = "/")
Dens=(data.frame(t(Dens)))

##Código MST y generar base para importar en el software Cytoscape: 
PDI=1-PD
gpd=graph_from_adjacency_matrix(PDI, mode="undirected",weighted=TRUE,diag=FALSE)
mstpd=mst(gpd)
PD=melt(PD)
PD=PD[which(PD[,1]!=PD[,2]),]
msted=as.matrix(as_adjacency_matrix(mstpd, attr="weight",names=TRUE))
msted=melt(msted)
msted=msted[which(msted[,3]!=0),]
msted[,3]=1-msted[,3]


####gr?fico
V(mstpd)
E(mstpd)
gsize(mstpd)
gorder(mstpd)

demanda <-unlist(readxl::read_excel("skillsmapUy_out.xlsx", sheet = "Hoja3", range = "A1:A322"))
mstpd<- set_vertex_attr(mstpd, "demanda", value=demanda)

isco <- unlist(readxl::read_excel("skillsmapUy_out.xlsx", sheet = "Hoja1", range = "A1:A322", col_types = "numeric"))

vertex_attr(mstpd)
V(mstpd)$color <- ifelse(V(mstpd)$demanda == 1, "white", ifelse(V(mstpd)$demanda == 2, "pink","red"))

V(mstpd)$label=isco
V(mstpd)$label.color="black"
V(mstpd)$label.cex=0.4
V(mstpd)$size=8

#custom_layout <- layout_nicely(mstpd)

# Normaliza el dise?o para obtener una posici?n fija
#fixed_layout_Uy <- layout.norm(custom_layout)

# Guarda el layout fijo para uso futuro
#saveRDS(fixed_layout_Uy, "fixed_layout_Uy.rds")

# Carga el layout fijo desde el archivo
fixed_layout <- readRDS("fixed_layout_Uy.rds")

file_name <- "figure11b.png"
path_file <- file.path(path_output, file_name)
png(filename = path_file, width = 800, height = 600, res = 95)

plot(mstpd, vertex.label.color="black", layout = fixed_layout, layout.scale = 15.0)
legend(x=1.2, y=1, c("high demand","medium demand", "low demand"), pch=21,
      col="black", pt.bg=c("red", "pink", "white") , cex=1.5, bty="n", ncol=1, x.intersp=0.15, y.intersp=0.7)

dev.off()


